Esta consulta es de hace 2 años. Tenga eso en cuenta.
info_111a11
info_111a11
España

Plugin: woocommerce Desde que actualizó a la última...

Plugin: woocommerce

Desde que actualizó a la última versión, cuando ejecuta el cron, lo que tiene en WP lo importa perfectamente. Pero lo que tiene el FS no lo exporta a WP. Y si, está marcado como público.
10-11-2018 22:25:34   25-11-2018 22:57:43   109   [NeoRazorX]
Me sumo al problema, el plugin es inestable en la sincronización de artículos.
He realizado pruebas y ejecutando el cron manualmente la sincronización es aleatoria. En la segunda o tercera ejecución del cron con un tiempo de espera entre ejecución de un minuto, he conseguido que se sincronice el stock, pero no el precio.
Yo solo he probado el plugin en la versión 57 y no sabría decir como funcionaba antes.
Estoy terminando otra actualización del plugin. Estará lista el lunes.
Neo, sería increíble si pusieras algún tipo de interfaz donde intercambiar los campos con respecto WP a FS, como por ejemplo la descripción corta, o la normal. Y la imagen, al menos la principal, si pudieras que se sincronize sería un lujo
Ya está disponible la actualización.
En que parte se puede cambiar eso Neo? No veo la opción
Sigo sin ver lo que comentas. Incluso ahora me sale:

401: Error: La clave secreta de cliente no es válida. [woocommerce_api_authentication_error]
401: Error: La clave secreta de cliente no es válida. [woocommerce_api_authentication_error]
403: Syntax error

Y está todo correcto
Creo que no nos estamos entendiendo ¿Qué es lo que comento? Has informado de un error al sincronizar, lo he solucionado y he lanzado la actualización, eso es lo que comento.
No he añadido nada más.
A mi me sigue dando error en las claves, y están correctas

image
¿Tienes la tienda actualizada? ¿Qué versión de woocommerce usas (me refiero en wordpress)?
Todo a la última versión
¿La clave de API es de lectura y escritura?
Así es, ambos permisos. Rarísimo. Antes me iba bien. Volvi a crear apis nuevas, pero lo mismo
¿La instalación de FacturaScripts está en local?
Hola, yo tengo el mismo problema. Desde la ultima actualización me sale:
401: Error: La clave secreta de cliente no es válida. [woocommerce_api_authentication_error]
He vuelto a crear nuevas claves api. No hay ningún problema en wp, ni firewall ni seguridad porque tengo la app con otras claves api y funciona correctamente.
Pero FS da error de sincronización
El lunes lanzaré una nueva actualización.
[[Solucionado]]


Copyright (c) 2013-2020 FacturaScripts